.cover-image {
    position: relative;
    overflow: hidden;
    max-height: 100vh;
    display: flex;
    flex-direction: column;
}
.cover-image::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #0003;
}

.cover-image-desktop {
    display: block;
}
.cover-image-mobile {
    display: none;
}

.cover-overlay {
    position: absolute;
    bottom: 14%;
    left: 50%;
    transform: translate(-50%, 25%);
    width: 100%;
    max-width: var(--max-width);
    overflow: hidden;
    padding: 1rem;
}

.overlay-text {
    position: relative;
    transition: all 500ms;
    font-size: 3rem;
    color: var(--color-text-light);
    width: 100%;
    max-width: var(--max-width);
    margin: auto;
    margin-bottom: 0.5rem;
    transform: translateY(100%);
    opacity: 0;
    line-height: 1.4;
    letter-spacing: 2px;
}
.overlay-text.show {
    transform: translateY(0);
    opacity: 1;
}

.overlay-abstract {
    text-align: center;
    position: relative;
    transition: all 500ms;
    font-size: 1rem;
    color: var(--color-text-light);
    width: 100%;
    max-width: var(--max-width);
    margin: auto;
    transform: translateY(100%);
    opacity: 0;
    line-height: 2;
}
.overlay-abstract.show {
    transform: translateY(0);
    opacity: 1;
}

.overlay-button {
    position: relative;
    margin-top: 2.25rem;
    transform: translateY(100%);
    transition: all 500ms;
    opacity: 0;
}
.overlay-button a {
    color: var(--color-text-light);
    padding: 0.75rem 2rem;
    border-radius: 4rem;
    background-color: var(--color-main);
    font-size: 1.25rem;
    text-decoration: none;
}
.overlay-button.show {
    transform: translateY(0);
    opacity: 1;
}

@media only screen and (max-width: 1080px) {
    .overlay-text {
        text-shadow: 0.125rem 0.125rem 0.125rem var(--color-text-dark);
    }
}

@media only screen and (max-width: 800px) {
    .cover-overlay {
        /*text-align: center;*/
    }
    .overlay-text {
        max-width: none;
        font-size: 2.5rem;
    }

    .cover-image {
        height: 400px;
    }
    .cover-image-desktop {
        display: none;
    }
    .cover-image-mobile {
        display: block;
        min-height: 100%;
        object-fit: cover;
    }
}